<?php
/**
 * Created by PhpStorm.
 * User: z-yang
 * Date: 2019/7/4
 * Time: 19:14
 */

namespace App\Modules\User\Services;


use App\Modules\User\Models\UserWealthyOperateRecord;

class UserWealthyOperateRecordService
{
    public static function create($uid,$coin_num,$channel_id,$type,$operator=10000)
    {
        $model = new  UserWealthyOperateRecord();
        $model->uid = $uid;
        $model->coin_num = $coin_num;
        $model->channel_id = $channel_id;
        $model->type = $type;
        $model->endtime = date('Y-m-d H:i:s');
        $model->operator = $operator;
        $model->save();
    }
}